#pragma once
#include <opencv\cv.h>
#include <opencv\highgui.h>

#include "WindowProperties.h"
#include "Mat.h"

namespace Domination {
	namespace Unmanaged {
		namespace OpenCV {

			public ref class UserInterface {
			public:
				static void imshow(const System::String^ winname, Mat^ mat);

				static void namedWindow(const System::String^ winname)
				{
					namedWindow(winname, WindowProperties::WindowAutoSize);
				}
				static void namedWindow(const System::String^ winname, WindowProperties flags);

				static void destroyWindow(const System::String^ winname);

				static void destroyAllWindows();

				static int waitKey()
				{
					return waitKey(0);
				}
				static int waitKey(int delay);
			};
		}
	}
}